# GET /coingecko-statistics

Returns the perpetual statistics of all assets specifically for <https://www.coingecko.com/en/exchanges/aevo>

`GET https://api.aevo.xyz/coingecko-statistics`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/coingecko-statistics \
     --header 'accept: application/json'
```

## Responses

**`200`** — Instrument trade information.

Array of:

| Field                         | Type   | Required | Description                                                                                     |
| ----------------------------- | ------ | -------- | ----------------------------------------------------------------------------------------------- |
| `ticker_id`                   | string | Yes      | Identifier of a ticker with delimiter to separate base/target, eg. BTC-PERP Example: `ETH-PERP` |
| `base_currency`               | string | No       | Symbol/currency code of base pair Example: `BTC`                                                |
| `target_currency`             | string | No       | Symbol/currency code of target pair Example: `ETH`                                              |
| `target_volume`               | string | No       | 24 hour trading volume in target pair volume Example: `0`                                       |
| `product_volume`              | string | No       | Type of product: Futures, Perpetual, Options Example: `Perpetual`                               |
| `open_interest`               | string | No       | Open interest in USDC terms for a given expiry. Example: `1234.56`                              |
| `index_price`                 | string | No       | Current index price of the asset. Example: `12.23`                                              |
| `index_currency`              | string | No       | Underlying currency for index Example: `USD`                                                    |
| `next_funding_rate_timestamp` | string | No       | Timestamp of the next funding rate change Example: `USD`                                        |
| `funding_rate`                | string | No       | Funding rate in decimals. Example: `0.00122`                                                    |
| `contract_type`               | string | No       | Type of contract - Vanilla, Inverse or Quanto Example: `Vanilla`                                |
| `contract_price_currency`     | string | No       | Describes the currency which the contract is priced in. Example: `USD`                          |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/public-api/getcoingeckostatistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
